package day12

import (
	"fmt"
)

func DebugPrintPlants(plants map[int]bool) {
	low, high := getPlantBounds(plants)

	for i := low; i < high+1; i++ {
		fmt.Print(plantString(plants[i]))
	}
	fmt.Println()
}

func DebugPrintRules(rules []*Rule) {
	for _, rule := range rules {
		fmt.Println(rule)
	}
}
